jcl-2.3.1.4197 for Delphi 6 fails to install [Edit]

hello,
i have a `jcl-2.3.1.4197` from http://sourceforge.net/projects/jcl/files/JCL%20Releases/JCL%202.3%20Build%204197/
i have installed the same for Delphi 7, and delphi 2006 without a problem
but when installing for Delphi 6 it gives me an error

{code}
Borland Delphi Version 14.0
Copyright (c) 1983,2002 Borland Software Corporation
G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclSysUtils.pas(1210) Error: Undeclared identifier: 'CheckWin32Version'
G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclSysUtils.pas(1210) Error: Operator not applicable to this operand type
G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclStreams.pas(600) Fatal: Could not compile used unit 'JclSysUtils'
....failed.
{code}

The error Message
http://s17.postimage.org/6mlqwvw4v/jvcl_1.jpg

The error on the log
http://s13.postimage.org/8zaoxn3yf/jvcl_2.jpg


i also tried this JVCL345CompleteJCL231-Build4197 from http://sourceforge.net/projects/jvcl/files/JVCL%203/JVCL%203.45/
but the same problem and same errors came.

from the *Install.txt* it says
*Borland Delphi 6 Update Pack #2 (including Personal Edition);* but even after installing the same error comes.

can anyone tell me how to install this for Delphi 6?

Edited by: Presley Dias on Jul 3, 2012 5:08 AM
0
Presley
7/3/2012 12:08:46 PM
embarcadero.delphi.non-tech 5933 articles. 1 followers. Follow

6 Replies
2053 Views

Similar Articles

[PageSpeed] 31

Presley Dias wrote:

> G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclSysUti
> ls.pas(1210) Error: Undeclared identifier: 'CheckWin32Version'
> 
> can anyone tell me how to install this for Delphi 6?

Apparently, D6 has a bug with CheckWin32Version:

http://www.distribucon.com/blog/CommentView,guid,299.aspx

Perhaps, you could add your own (corrected) version of
CheckWin32Version where it is called (JclSysUtils.pas?) so that it
doesn't try to use D6's original one.

And, then try to install it all.

I'm sorry I can't help further/better, it's been simply too long since
I used D6.
0
Adem
7/3/2012 1:00:09 PM
Hi
Same error.
I dont know how is posiblle?
Delete first char and rebuild ,next error same
"Presley Dias" wrote in message news:482311@forums.embarcadero.com...
hello,
i have a `jcl-2.3.1.4197` from 
http://sourceforge.net/projects/jcl/files/JCL%20Releases/JCL%202.3%20Build%204197/
i have installed the same for Delphi 7, and delphi 2006 without a problem
but when installing for Delphi 6 it gives me an error
{code}
Borland Delphi Version 14.0
Copyright (c) 1983,2002 Borland Software Corporation
G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclSysUtils.pas(1210) 
Error: Undeclared identifier: 'CheckWin32Version'
G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclSysUtils.pas(1210) 
Error: Operator not applicable to this operand type
G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclStreams.pas(600) 
Fatal: Could not compile used unit 'JclSysUtils'
....failed.
{code}
The error Message
http://s17.postimage.org/6mlqwvw4v/jvcl_1.jpg
The error on the log
http://s13.postimage.org/8zaoxn3yf/jvcl_2.jpg
i also tried this JVCL345CompleteJCL231-Build4197 from 
http://sourceforge.net/projects/jvcl/files/JVCL%203/JVCL%203.45/
but the same problem and same errors came.
from the *Install.txt* it says
*Borland Delphi 6 Update Pack #2 (including Personal Edition);* but even 
after installing the same error comes.
can anyone tell me how to install this for Delphi 6?
Edited by: Presley Dias on Jul 3, 2012 5:08 AM
0
Utf
7/3/2012 1:36:42 PM
Am 03.07.2012 14:08, schrieb Presley Dias:
> hello,
> i have a `jcl-2.3.1.4197` from http://sourceforge.net/projects/jcl/files/JCL%20Releases/JCL%202.3%20Build%204197/
> i have installed the same for Delphi 7, and delphi 2006 without a problem
> but when installing for Delphi 6 it gives me an error
> 

Hello,

did you ask about this in the Jedi newsgroups already?
news.delphi-jedi.org

Greetings

Markus
0
Markus
7/3/2012 6:15:48 PM
> {quote:title=Markus Humm wrote:}{quote}
> Am 03.07.2012 14:08, schrieb Presley Dias:
> > hello,
> > i have a `jcl-2.3.1.4197` from http://sourceforge.net/projects/jcl/files/JCL%20Releases/JCL%202.3%20Build%204197/
> > i have installed the same for Delphi 7, and delphi 2006 without a problem
> > but when installing for Delphi 6 it gives me an error
> > 
> 
> Hello,
> 
> did you ask about this in the Jedi newsgroups already?
> news.delphi-jedi.org
> 
> Greetings
> 
> Markus

yes i did ask on the JEDI- newsgroups but there is no reply from them
0
Presley
7/16/2012 5:03:58 AM
I have just installed the latest trunk under D6. I think you have a 
fault in your environment. Did you use the install.bat script?


On 03.07.2012 14:08, Presley Dias wrote:
> hello,
> i have a `jcl-2.3.1.4197` from http://sourceforge.net/projects/jcl/files/JCL%20Releases/JCL%202.3%20Build%204197/
> i have installed the same for Delphi 7, and delphi 2006 without a problem
> but when installing for Delphi 6 it gives me an error
>
> {code}
> Borland Delphi Version 14.0
> Copyright (c) 1983,2002 Borland Software Corporation
> G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclSysUtils.pas(1210) Error: Undeclared identifier: 'CheckWin32Version'
> G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclSysUtils.pas(1210) Error: Operator not applicable to this operand type
> G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclStreams.pas(600) Fatal: Could not compile used unit 'JclSysUtils'
> ...failed.
> {code}
>
> The error Message
> http://s17.postimage.org/6mlqwvw4v/jvcl_1.jpg
>
> The error on the log
> http://s13.postimage.org/8zaoxn3yf/jvcl_2.jpg
>
>
> i also tried this JVCL345CompleteJCL231-Build4197 from http://sourceforge.net/projects/jvcl/files/JVCL%203/JVCL%203.45/
> but the same problem and same errors came.
>
> from the *Install.txt* it says
> *Borland Delphi 6 Update Pack #2 (including Personal Edition);* but even after installing the same error comes.
>
> can anyone tell me how to install this for Delphi 6?
>
> Edited by: Presley Dias on Jul 3, 2012 5:08 AM
0
Ralf
7/16/2012 7:45:53 AM
yes from '\jcl-2.3.1.4197\jcl-2.3.1.4197\Install.bat'

>think you have a fault in your environment.

ok, i will re-install Delphi and try to install JCL again
0
Presley
7/16/2012 7:50:47 AM
Reply:

Similar Artilces:

Smoke [5.6.2] maint-5.6-3-g2bce232 FAIL(m) linux 3.1.0-1-amd64 [debian] (x86_64/8 cpu) #2
Automated smoke report for 5.6.2 patch 2bce2321552345ccb985b6a4b87542c3eaefbac5 maint-5.6-3-g2bce232 gateway: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz (GenuineIntel 3392MHz) (x86_64/8 cpu) on linux - 3.1.0-1-amd64 [debian] using cc version 4.6.2 smoketime 21 seconds (average 21 seconds) Summary: FAIL(m) O = OK F = Failure(s), extended report at the bottom X = Failure(s) under TEST but not under harness ? = still running or test results not (yet) available Build failures during: - = unknown or N/A c = Configure, m = make, M = make (after miniperl), t =...

Smoke [5.6.2] maint-5.6-3-g2bce232 FAIL(m) linux 3.2.0-1-amd64 [debian] (x86_64/2 cpu) #2
Automated smoke report for 5.6.2 patch 2bce2321552345ccb985b6a4b87542c3eaefbac5 maint-5.6-3-g2bce232 gateway: AMD Athlon(tm) Dual Core Processor 4850e (AuthenticAMD 2200MHz) (x86_64/2 cpu) on linux - 3.2.0-1-amd64 [debian] using cc version 4.6.2 smoketime 55 seconds (average 55 seconds) Summary: FAIL(m) O = OK F = Failure(s), extended report at the bottom X = Failure(s) under TEST but not under harness ? = still running or test results not (yet) available Build failures during: - = unknown or N/A c = Configure, m = make, M = make (after miniperl), t ...

Smoke [5.6.2] maint-5.6-3-g2bce232 FAIL(m) linux 3.2.0-1-amd64 [debian] (x86_64/2 cpu)
Automated smoke report for 5.6.2 patch 2bce2321552345ccb985b6a4b87542c3eaefbac5 maint-5.6-3-g2bce232 gateway: AMD Athlon(tm) Dual Core Processor 4850e (AuthenticAMD 2500MHz) (x86_64/2 cpu) on linux - 3.2.0-1-amd64 [debian] using cc version 4.6.2 smoketime 4 minutes 20 seconds (average 4 minutes 20 seconds) Summary: FAIL(m) O = OK F = Failure(s), extended report at the bottom X = Failure(s) under TEST but not under harness ? = still running or test results not (yet) available Build failures during: - = unknown or N/A c = Configure, m = make, M = make ...

Migrating from Delphi 6 to Delphi XE 3! [Edit]
All, I am a Delphi developer working in an windows form application developed using Delphi 6. Now, we are planning to upgrade the development tool. Can anyone provide me information related to major roadblocks that we can face while migrating from Delphi 6 to Delphi XE 3? Should we migrate to Delphi XE 3 or any other preferred version of Delphi based on the fact that our target users will be using Windows 7 or Windows 8? Do we have any tools or utilities to migrate the source code from Delphi 6 to higher version of Delphi? Also, any suggestions related to best practices are welcome....

selecting ? selecting of 1., 2. , 3., 4., 5., 6. is slow (1-3 second) then selecting of 7.,8.,9. go on is so fast (0.1 second or more fast).. how can i get fast for selecting of 1., 2. , 3., 4., 5., 6
hello friends selecting of 1., 2. , 3., 4.(sometime even 5., 6.) is slow (1-3 second) then selecting of 7.,8.,9.(sometimes 5., 6.,) go on is so fast (0.1 second or more fast).. how can i get fast for selecting of 1., 2. , 3., 4., 5., 6. is slow ?? recordcount is almost 1.050.000.. i do selecting 1.2.3. go on same page with treeview1.. treeview1 in masterpage.master.. gridview1 and datasource1 are in pagelist.aspx (it connets datasource1)..productnumber is primarykey for index.. kategori, kategori1 and kategori2, price, datemin are index from keys/index in table1 (right clicking menu)....

Smoke [5.6.2] maint-5.6-3-g2bce232 FAIL(M) freebsd 8.1-RELEASE (i386/1 cpu) #2
Automated smoke report for 5.6.2 patch 2bce2321552345ccb985b6a4b87542c3eaefbac5 maint-5.6-3-g2bce232 qemu386freebsd8-1.bandsman.co.uk: QEMU Virtual CPU version 0.14.50 (i386/1 cpu) on freebsd - 8.1-RELEASE using cc version 4.2.1 20070719 [FreeBSD] smoketime 2 minutes 17 seconds (average 2 minutes 17 seconds) Summary: FAIL(M) O = OK F = Failure(s), extended report at the bottom X = Failure(s) under TEST but not under harness ? = still running or test results not (yet) available Build failures during: - = unknown or N/A c = Configure, m = make, M = ma...

From 2.1.2 to 3.1 or 2.1.2 to 3.0.13 to 3.1
I'm checking back in after being away for a couple of months and I missed the 3.1 release. I can't seem to find any info on what's new in 3.1 and also what the upgrade path should be. So, is the recommended path for upgrading from v 2.1.2 to go directly to 3.1 or do I need to go to 3.0.13 first? Are there any big issues in 3.1 that make it a "gotta have it" version?I did a couple of 2.1.2 to 3.0.12 upgrades but haven't upgraded to or tested 3.1 yet. I have one 2.1.2 site that is commercial and I need it to be down as little time as possible. It also has a lot of third party modules...

Smoke [5.6.2] maint-5.6-3-g2bce232 FAIL(m) linux 3.1.0-1-amd64 [debian] (x86_64/8 cpu)
Automated smoke report for 5.6.2 patch 2bce2321552345ccb985b6a4b87542c3eaefbac5 maint-5.6-3-g2bce232 gateway: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz (GenuineIntel 3392MHz) (x86_64/8 cpu) on linux - 3.1.0-1-amd64 [debian] using cc version 4.6.2 smoketime 20 seconds (average 20 seconds) Summary: FAIL(m) O = OK F = Failure(s), extended report at the bottom X = Failure(s) under TEST but not under harness ? = still running or test results not (yet) available Build failures during: - = unknown or N/A c = Configure, m = make, M = make (after miniperl), t =...

Smoke [5.6.2] maint-5.6-3-g2bce232 FAIL(F) netbsd 6.1.5 (i386/2 cpu)
Automated smoke report for 5.6.2 patch 2bce2321552345ccb985b6a4b87542c3eaefbac5 maint-5.6-3-g2bce232 philips.bandsman.co.uk: Intel 686-class (i386/2 cpu) on netbsd - 6.1.5 using cc version 4.5.3 smoketime 2 minutes 30 seconds (average 2 minutes 30 seconds) Summary: FAIL(F) O = OK F = Failure(s), extended report at the bottom X = Failure(s) under TEST but not under harness ? = still running or test results not (yet) available Build failures during: - = unknown or N/A c = Configure, m = make, M = make (after miniperl), t = make test-prep maint-5.6-3...

Installing JCL with Delphi 6 on Windows 7
Hi, I'm trying to install JCL with Delphi 6 on Windows 7, but it fails with the message "unable to execute bin\JediInstaller.exe here's a screen shot so you can see what went before the error: [IMG]http://i56.tinypic.com/ncnkud.jpg[/IMG] So, I double clicked on the exe directly which fired up ok, but I guess there'll be something missing that is done by the MAKE lines, I get an error shown. I tried setting the exe to give users full permissions (my account is an admin account on the box anyway), but I got the same error message displayed. Am I missing something...

Smoke [5.6.2] maint-5.6-3-g2bce232 FAIL(M) linux 2.6.32-5-amd64 [debian] (x86_64/2 cpu) #3
Automated smoke report for 5.6.2 patch 2bce2321552345ccb985b6a4b87542c3eaefbac5 maint-5.6-3-g2bce232 bandsman.dyndns-ip.com: AMD Athlon(tm) Dual Core Processor 4450e (AuthenticAMD 2200MHz) (x86_64/2 cpu) on linux - 2.6.32-5-amd64 [debian] using cc version 4.4.5 smoketime 2 minutes 26 seconds (average 2 minutes 26 seconds) Summary: FAIL(M) O = OK F = Failure(s), extended report at the bottom X = Failure(s) under TEST but not under harness ? = still running or test results not (yet) available Build failures during: - = unknown or N/A c = Configure, m =...

Smoke [5.6.2] maint-5.6-3-g2bce232 FAIL(m) linux 3.2.0-3-amd64 [debian] (x86_64/8 cpu) #2
Automated smoke report for 5.6.2 patch 2bce2321552345ccb985b6a4b87542c3eaefbac5 maint-5.6-3-g2bce232 nigelhorne.force9.co.uk: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz (GenuineIntel 1600MHz) (x86_64/8 cpu) on linux - 3.2.0-3-amd64 [debian] using cc version 4.7.1 smoketime 21 seconds (average 21 seconds) Summary: FAIL(m) O = OK F = Failure(s), extended report at the bottom X = Failure(s) under TEST but not under harness ? = still running or test results not (yet) available Build failures during: - = unknown or N/A c = Configure, m = make, M = make (afte...

Converting Delphi 2007 Indy 10.2.3 to Delphi 2009 Indy 10.5.5 [Edit]
Hello, I am currently attempting to port over a Delphi 2007 project that uses Indy 10.2.3 (very successfully) to Delphi 2009 and Indy 10.5.5 (I just got the latest development build this morning). I think I am running into an encoding issue, but am not sure. Specifically, IDHTTP with SSL calls an old CGI and the CGI returns a .zip file and I then save it to the disk. In 2007 and before this worked perfectly. In 2009, it is not. Here is the examples of the 2 different results (though cut way short in the post) I am getting back: 2007: 'PK'#3#4#$14#0#0#0#8#0'rLQ9žrPb€'#0...

Smoke [5.6.2] maint-5.6-3-g2bce232 FAIL(F) linux 2.6.35.14-106.fc14.i686 [fedora] (i686/2 cpu) #3
Automated smoke report for 5.6.2 patch 2bce2321552345ccb985b6a4b87542c3eaefbac5 maint-5.6-3-g2bce232 philips.bandsman.co.uk: Genuine Intel(R) CPU T2300 @ 1.66GHz (GenuineIntel 1000MHz) (i686/2 cpu) on linux - 2.6.35.14-106.fc14.i686 [fedora] using cc version 4.5.1 20100924 (Red Hat 4.5.1-4) smoketime 2 minutes 30 seconds (average 2 minutes 30 seconds) Summary: FAIL(F) O = OK F = Failure(s), extended report at the bottom X = Failure(s) under TEST but not under harness ? = still running or test results not (yet) available Build failures during: - = unkn...

Web resources about - jcl-2.3.1.4197 for Delphi 6 fails to install [Edit] - embarcadero.delphi.non-tech

Nullsoft Scriptable Install System - Wikipedia, the free encyclopedia
This article has an unclear citation style . The references used may be made clearer with a different or consistent style of citation , footnoting ...

Can Facebook Advertisers Test Mobile App Install Ads On Their Devices?
Some Facebook advertisers are now able to preview their mobile application install ads directly on their mobile devices, complete with active ...

Drive Mobile App Awareness and Installs Over The Holidays
Just in time for the holidays, we're announcing new buying, creative and targeting options for Facebook mobile app ads.

New Features to Mobile App Install Ads
Today we are happy to announce some updates to mobile app install ads to improve the experience people and developers have when viewing and creating ...

Facebook tries new designs for mobile page-Like and app install ads
Facebook began testing new designs for its mobile app install ads and page post ads this weekend. Following an update for Facebook for iOS, ...

Star Wars: The Force Awakens Drives Installs of Star Wars Apps
... Wars: The Force Awakens in theaters on downloads of Star Wars-themed apps on iOS and Android. AppsFlyer analyzed over one million app installs ...

Vermont utility says it will be the first to install Tesla powerwalls in the US
... Power) Customers of Green Mountain Power (GMP) in Vermont will be the first in the US to have Tesla Powerwall stationary batteries installed ...

11 3D Touch apps to install today
Apple’s 3D Touch is an important step forward in mobile user interfaces. If you use an iPhone 6S you see it in action when you press a name in ...

Install these battery-killing, storage-hogging apps at your own risk
[/caption] The latest quarterly report from antivirus company AVG has outed the battery-killingest, storage-hoggingest apps currently available. ...

MLB Recommends All 30 Stadiums Install Additional Safety Netting
... too many baseball fans got seriously hurt by line-drive foul balls last season, which reignited the debate over whether stadiums should install ...

Resources last updated: 1/11/2016 1:31:53 AM